%define upstream_name       SQL-Statement
%define upstream_version 1.402

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    SQL parsing and processing engine
License:    GPL
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/SQL/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Clone) >= 0.300.0
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Math::BigInt) >= 1.880.0
BuildRequires: perl(Math::Complex) >= 1.560.0
BuildRequires: perl(Params::Util) >= 1.0.0
BuildRequires: perl(Scalar::Util) >= 1.0.0
BuildRequires: perl(Test::Simple) >= 0.900.0
BuildArch:  noarch

%description
The SQL::Statement module implements a pure Perl SQL parsing and execution
engine. While it by no means implements full ANSI standard, it does support
many features including column and table aliases, built-in and user-defined
functions, implicit and explicit joins, complexly nested search conditions, and
other features.

%prep 
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
SQL_STATEMENT_WARN_UPDATE=sure %{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%{makeinstall_std}

%files
%doc Changes META.json META.yml MYMETA.yml README
%{perl_vendorlib}/SQL
%{_mandir}/*/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.402.0-2.mga3
+ Revision: 372440
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 1.402.0-1.mga3
+ Revision: 342585
- update to 1.402

* Wed Nov 07 2012 jquelin <jquelin> 1.401.0-1.mga3
+ Revision: 315859
- update to 1.401

* Wed Feb 16 2011 jquelin <jquelin> 1.330.0-1.mga1
+ Revision: 52699
- update to 1.33

* Thu Jan 20 2011 jquelin <jquelin> 1.310.0-1.mga1
+ Revision: 26952
- mageia rebuild
- imported package perl-SQL-Statement

